=== doc/Makefile ===
This makefile deals with installing man pages translations

LANGUAGES := fr
MAN_BASE := /usr/share/man

NL ?= $(LANGUAGES)
