=== debian/changelog ===
hopman (1.14-1+5gnuinos2) unstable; urgency=medium

  * Increase the version of the dependency on usbmount

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 20 Sep 2025 10:52:21 +0200

hopman (1.14-1+5gnuinos1) unstable; urgency=medium

  * Make use of g_spawn_sync() and g_spawn_async() in place of 
    epopen() in the user interaction callbacks for the sake of 
    compatibility with udisksctl
  * New upstream version 1.14

 -- Aitor <aitor_czr@gnuinos.org>  Fri, 19 Sep 2025 19:37:31 +0200

hopman (1.13-1+5gnuinos1) unstable; urgency=medium

  * Add a new variable to partition_new() that indicates where root 
    is mounted. If the partition is a child of this device (e.g, the 
    EFI partition), it'll be skipped even if it doesn't appear in 
    /etc/mtab
  * Fix compiler warnings 
  * New upstream version 1.13

 -- Aitor <aitor_czr@gnuinos.org>  Fri, 05 Sep 2025 00:19:34 +0200

hopman (1.12-1+5gnuinos1) unstable; urgency=medium

  * Add new partition attribute "uuid" and discard those partitions 
    appearing in /etc/fstab. In doing so, we don't verify via sysfs 
    whether the device belongs to a "usb" subsystem anymore. On the
    other hand, we ensure that internal disk's partitions are listed 
    in the case of live sessions.
  * New upstream version 1.12

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 10 Feb 2024 17:01:46 +0100

hopman (1.11-1+5gnuinos1) unstable; urgency=medium

  * GtkStatusIcon integration
  * New upstream version 1.11

 -- Aitor <aitor_czr@gnuinos.org>  Thu, 08 Feb 2024 23:27:48 +0100

hopman (1.10-1+5gnuinos1) unstable; urgency=medium

  * Changed the usbmount script
  * Adapt some partition utilities to the changes aplied to the 
    usbmount script.
  * New upstream version 1.10

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 05 Feb 2024 19:06:12 +0100

hopman (1.9-1+5gnuinos1) unstable; urgency=medium

  * Fixed the problem of the octal-scape-secuence \040 in mountpoints
    making use of getmntent() to parse /proc/mounts
  * New upstream version 1.9

 -- Aitor <aitor_czr@gnuinos.org>  Wed, 31 Jan 2024 21:29:23 +0100

hopman (1.8-1+5gnuinos1) unstable; urgency=medium

  * Minor changes to the commands
  * New upstream version 1.8

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 28 Jan 2024 13:47:37 +0100

hopman (1.7-1+5gnuinos1) unstable; urgency=medium

  * Build for daedalus

 -- Aitor <aitor_czr@gnuinos.org>  Wed, 12 Jul 2023 19:28:34 +0200

hopman (1.7-1) unstable; urgency=medium

  * Fixed "Open with..." not working in /media
  * New upstream version 1.7

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 25 Jun 2023 20:14:22 +0200

hopman (1.6-1) unstable; urgency=medium

  * Fix segmentation fault in 32 bit
  * New upstream version 1.6

 -- Aitor <aitor@gnuinos>  Mon, 19 Jun 2023 23:06:12 +0200

hopman (1.5-1) unstable; urgency=medium

  * Don't keep track of the number of partitions and use g_list_length() in order
    to determine whether or not the partition list is empty
  * Sort partitions alphabetically and add GtkSeparators to the menu
  * Iterate the children of each container in the menu tree when a menu item is 
    going to be removed, and do not use the provision *uiptr[] for the private use 
    of the UI declared within the partinfo_t structure in hopman.h
  * Fix some critical Gtk warnings
  * Add new flags "ShowSize", "keepAbove" to the configuration  
  * New upstream version 1.5

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 17 Jun 2023 00:19:00 +0200

hopman (1.4-1) unstable; urgency=medium

  * Remove hopmanctl in favor of usbmount
  * Conflicts: xfce4-hopman-plugin
  * Depend on higher version of usbmount (>= 0.8-1~)
  * Append more GtkLabels to the menu items including some additional info about the 
    given partition
  * Change the partition size returned by hotplug_partition() from 'int' to 'long int'
  * Change to quilt source format
  * New upstream version 1.4

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 10 Jun 2023 15:43:09 +0200

hopman (1.3) unstable; urgency=medium

  * New upstream version 1.3
  * Depend on usbmount
  * Force creation of disk/by-label before adding it to the watch descriptor wd_label
  * New function partition_set_label_by_blkid()

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Thu, 16 Feb 2023 22:53:26 +0100

hopman (1.2) chimaera; urgency=medium

  * Spawn an asynchronous secondary child process fully detached from parent in case of 
    "Open_in_File_Manager" | "Open_in_Terminal" commands

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Mon, 25 Jul 2022 14:02:40 +0200

hopman (1.1) chimaera; urgency=medium

  * Initial release.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 01 May 2022 21:22:39 +0200
