=== debian/control ===
Source: hopman
Section: misc
Priority: optional
Origin: Gnuinos
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Uploaders: Didier Kryn <kryn@in2p3.fr>
Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.16.1~), dh-exec, libgtk2.0-dev (>= 2.24.33-2), intltool
Standards-Version: 3.9.5.0
Homepage: https://git.devuan.org/kryn/hopman

Package: hopman
Section: misc
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  libgtk2.0-0 (>= 2.24.33-2),
  libnotify4 (>= 0.7.9-3),
  usbmount (>= 1.3.4-1~)
Description: Gtk interface which displays removable partitions currently plugged in.
 .
 Hopman is a graphics tool which displays removable partitions currently
 plugged into the computer. It displays also the partition's label if any,
 and the mountpoint, if mounted.
