=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_install:
	gzip -c doc/man/man8/hopman > debian/hopman/usr/share/man/man8/hopman.8.gz
	gzip -c doc/man/man8/hopmanrc > debian/hopman/usr/share/man/man8/hopmanrc.8.gz
	install -m 644 $(CURDIR)/icon/removable-media-32x32.png debian/hopman/usr/share/pixmaps/hopman.png
	install -m 644 $(CURDIR)/LICENSE debian/hopman/usr/share/doc/hopman  
	install -m 644 $(CURDIR)/annex/hopmanrc debian/hopman/etc/default
	install -m 644 $(CURDIR)/hopman.desktop debian/hopman/usr/share/applications

override_dh_strip:
